Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class OperatorCheck

    java.lang.Object
      edu.udo.cs.miningmart.gui.application.OperatorCheck

    public class OperatorCheck

extends java.lang.Object

Version:
  $Id: OperatorCheck.java,v 1.4 2006/09/27 15:00:01 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`OperatorCheck(java.lang.String name, boolean isOperator, int depth, OperatorCheck parent)` Constructor for OperatorCheck.

Method Summary
`boolean` | `addOperatorCheck(OperatorCheck check)` Adds an `OperatorCheck` as child.
`boolean` | `getCascading()` Gets the cascading-flag.
`java.lang.String` | `getName()` Gets the name.
`int` | `getOpChecksSize()` Gets the size.
`OperatorCheck` | `getOperatorCheck(int index)`
`java.util.Vector` | `getSubOperatorChecks()` Gets the `OperatorCheck`s-childs.
`boolean` | `isAllSelected()` Checks the selection of all childs.
`boolean` | `isOperator()` Is this `OperatorCheck for an operator?`
`boolean` | `isPartlySelected()` Checks wether something is selected.
`boolean` | `isSelected()` Is this `Operatorcheck` selected.
`void` | `setCascading(boolean bool)` Sets the cascading-flag.
`void` | `setSelected(boolean bool)` Sets the selection without cascading.
`void` | `setSelectedCascading(boolean bool)` Sets the selection with cascading.
`void` | `setSelectedCascadingDown(boolean bool)`
`void` | `setSelectedCascadingTop(boolean bool)`
`void` | `setSelectedSimple(boolean bool)` A simple selection of this `OperatorCheck`.
`java.lang.String` | `toString()` Gets the name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperatorCheck

    public OperatorCheck(java.lang.String name,
                         boolean isOperator,
                         int depth,
                         OperatorCheck parent)

  Constructor for OperatorCheck.

Method Detail

### isOperator

    public boolean isOperator()

  Is this `OperatorCheck for an operator?

  `
  Returns:
    true, if it is for an operator
    false, if it is for a group of operators.

### getOpChecksSize

    public int getOpChecksSize()

  Gets the size.

### getOperatorCheck

    public OperatorCheck getOperatorCheck(int index)

### addOperatorCheck

    public boolean addOperatorCheck(OperatorCheck check)

  Adds an `OperatorCheck` as child.

### toString

    public java.lang.String toString()

  Gets the name.

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Gets the name.

### setSelectedSimple

    public void setSelectedSimple(boolean bool)

  A simple selection of this `OperatorCheck`.

### setSelected

    public void setSelected(boolean bool)

  Sets the selection without cascading.

### setSelectedCascading

    public void setSelectedCascading(boolean bool)

  Sets the selection with cascading.

### setSelectedCascadingTop

    public void setSelectedCascadingTop(boolean bool)

### setSelectedCascadingDown

    public void setSelectedCascadingDown(boolean bool)

### isSelected

    public boolean isSelected()

  Is this `Operatorcheck` selected.

### isPartlySelected

    public boolean isPartlySelected()

  Checks wether something is selected.

  Returns:
    true, if at least 1 child is selected.

### isAllSelected

    public boolean isAllSelected()

  Checks the selection of all childs.

  Returns:
    true, if all childs are selected.

### setCascading

    public void setCascading(boolean bool)

  Sets the cascading-flag.

### getCascading

    public boolean getCascading()

  Gets the cascading-flag.

### getSubOperatorChecks

    public java.util.Vector getSubOperatorChecks()

  Gets the `OperatorCheck`s-childs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005